﻿@using System.Web.UI.WebControls;
@using SPEX.Models

@*<script type="text/javascript" src="@Url.Content("~/Scripts/jquery-ui.min.js")"></script>*@
<link rel="stylesheet" href="@Url.Content("~/Content/Layout/msgBoxLight.css")" /> 
@{Layout = "~/Views/Shared/_LayoutWithoutMenu.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_InvoiceBySeaPartialScript")
<div class="content" style="position: relative">
    <fieldset>
        <table class="tbltest" style="width: 100%;">
            <tr>
                <td  style="width: 10%; height: 30px" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Invoice No";
                    }).GetHtml()
                </td>
                <td  style="width: 2%">
                    :
                </td>
                <td  style="width: 13%" align="left">
                    @Html.DevExpress().TextBox(
                      settings =>
                      {
                          settings.Name = "I_INVOICE_NO";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.ClientVisible = true;
                          settings.ClientEnabled = false;
                          settings.Width = 120;
                      }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).INVOICE_NO).GetHtml()
                    @Html.DevExpress().TextBox(
                      settings =>
                      {
                          settings.Name = "I_PREV_LINK";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.ClientVisible = false;
                      }).Bind(ViewData["PREV_LINK"]).GetHtml()
                </td>
                <td  style="width: 10%" align="left">
                    @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Invoice Date";
                        }).GetHtml()
                </td>
                <td  style="width: 2%">
                    :
                </td>
                <td  style="width: 23%" align="left">
                        @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_INVOICE_DT";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        //settings.ReadOnly = true;
                        settings.ClientEnabled = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Width = 100;
                    }).Bind((DateTime)((mInvoice)ViewData["INVOICE_DATA"]).INVOICE_DT).GetHtml()
                </td>
                <td  style="width: 10%">
                    @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Vanning No";
                        }).GetHtml()
                </td>
                <td  style="width: 2%">
                    :
                </td>
                <td  style="width: 13%" align="left">
                    @Html.DevExpress().TextBox(
                      settings =>
                      {
                          settings.Name = "I_VANNING_NO";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 120;
                          settings.ClientVisible = true;
                          settings.ClientEnabled = false;
                          settings.Width = 120;
                      }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).VANNING_NO).GetHtml()
                </td>
                 <td  style="width: 15%">
                   @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "";
                            label.Width = 150;
                        }).GetHtml()
                </td>
            </tr>
            <tr>
                <td  style="height: 30px" align="left">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer Code";
                }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left">
                    @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_BUYER_CD";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Width = 120;
                      settings.ClientVisible = true;
                      settings.ClientEnabled = false;
                  }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).BUYER_CD).GetHtml()
                </td>
                <td  align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Buyer Name";
                    }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left">
                    @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_BUYER_NAME";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Width = 250;
                      settings.Height = 40;
                      settings.ClientVisible = true;
                      settings.ClientEnabled = false;
                  }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).BUYER_NAME).GetHtml()
                </td>
                <td >
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Packing Company";
                    }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left">
                    @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_PACKING_COMPANY";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.ClientVisible = true;
                      settings.ClientEnabled = false;
                      settings.Width = 120;
                  }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).PACKING_COMPANY).GetHtml()
                </td>
                 <td  style="width: 15%">
                    
                </td>
            </tr>
            <tr>
                <td  align="left" style="height: 30px">
                    @Html.DevExpress().Label(
                 label =>
                 {
                     label.Text = "Vanning Date From";
                 }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left">
                    @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_VANNING_DT_FROM";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        //settings.ReadOnly = true;
                        settings.ClientEnabled = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Width = 100;
                    }).Bind((DateTime)((mInvoice)ViewData["INVOICE_DATA"]).VANNING_DT_FROM).GetHtml()
                </td>
                <td  align="left">
                    @Html.DevExpress().Label(
                     label =>
                     {
                         label.Text = "To";
                     }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left" colspan="5">
                    @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_VANNING_DT_TO";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.DisplayFormatInEditMode = true;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        //settings.ReadOnly = true;
                        settings.ClientEnabled = false;
                        settings.Properties.UseMaskBehavior = true;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Width = 100;
                    }).Bind((DateTime)((mInvoice)ViewData["INVOICE_DATA"]).VANNING_DT_TO).GetHtml()
                </td>
            </tr>
            <tr>
                <td  align="left" style="height: 30px" colspan="10">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Total";
                    }).GetHtml()
                </td>
            </tr>
            <tr>
                <td  align="left" colspan="10" style="height: 80px; width: 100%">
                    <table width="85%">
                        <tr>
                            <td >
                                <fieldset>
                                    <table width="100%" style="border-bottom-color: Black; border-bottom-style: double">
                                        <tr>
                                            <td  align="left" style="height: 30px">
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "Container ";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                            settings =>
                                            {
                                                settings.Name = "I_TOTAL_CONTAINER";
                                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                                settings.Width = 120;
                                                settings.Properties.MinValue = 0;
                                                settings.Properties.DecimalPlaces = 0;
                                                settings.Properties.DisplayFormatString = "###0";
                                                settings.Properties.SpinButtons.Visible = false;
                                                settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                                settings.Properties.NumberType = SpinEditNumberType.Integer;
                                                settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                                settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                                                //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                            }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).TOTAL_CONTAINER).GetHtml()
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "Case";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                            settings =>
                                            {
                                                settings.Name = "I_TOTAL_CASE";
                                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                                settings.Width = 120;
                                                settings.Properties.MinValue = 0;
                                                settings.Properties.DecimalPlaces = 0;
                                                settings.Properties.DisplayFormatString = "###0";
                                                settings.Properties.SpinButtons.Visible = false;
                                                settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                                settings.Properties.NumberType = SpinEditNumberType.Integer;
                                                settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                                settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                                                //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                            }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).TOTAL_CASE).GetHtml()
                                            </td>
                                            <td >
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "Item";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                              settings =>
                                              {
                                                  settings.Name = "I_TOTAL_ITEM";
                                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                                  settings.Width = 120;
                                                  settings.Properties.MinValue = 0;
                                                  settings.Properties.DecimalPlaces = 0;
                                                  settings.Properties.DisplayFormatString = "###0";
                                                  settings.Properties.SpinButtons.Visible = false;
                                                  settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                                  settings.Properties.NumberType = SpinEditNumberType.Integer;
                                                  settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                                  settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                                                  //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                              }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).TOTAL_ITEM).GetHtml()
                                            </td>
                                            <td >
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "*Qty";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                            settings =>
                                            {
                                                settings.Name = "I_TOTAL_QTY";
                                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                                settings.Width = 120;
                                                settings.Properties.MinValue = 0;
                                                settings.Properties.DecimalPlaces = 0;
                                                settings.Properties.DisplayFormatString = "###0";
                                                settings.Properties.SpinButtons.Visible = false;
                                                settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                                settings.Properties.NumberType = SpinEditNumberType.Integer;
                                                settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                                settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                                                //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                            }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).TOTAL_QTY).GetHtml()
                                            </td>
                                        </tr>
                                        <tr>
                                            <td  align="left" style="height: 30px">
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "*Gross Weight ";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                              settings =>
                                              {
                                                  settings.Name = "I_GROSS_WEIGHT";
                                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                                  settings.Width = 120;
                                                  settings.Properties.MinValue = 0;
                                                  settings.Properties.DecimalPlaces = 1;
                                                  settings.Properties.DisplayFormatString = "###0.0";
                                                  settings.Properties.SpinButtons.Visible = false;
                                                  settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                                  settings.Properties.NumberType = SpinEditNumberType.Float;
                                                  settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                                  //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                              }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).GROSS_WEIGHT).GetHtml()
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "*Net Weight";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                              settings =>
                                              {
                                                  settings.Name = "I_NET_WEIGHT";
                                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                                  settings.Width = 120;
                                                  settings.Properties.MinValue = 0;
                                                  settings.Properties.DecimalPlaces = 1;
                                                  settings.Properties.DisplayFormatString = "###0.0";
                                                  settings.Properties.SpinButtons.Visible = false;
                                                  settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                                  settings.Properties.NumberType = SpinEditNumberType.Float;
                                                  settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                                  //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                              }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).NET_WEIGHT).GetHtml()
                                            </td>
                                            <td >
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "*Measurement";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                          settings =>
                                          {
                                              settings.Name = "I_MEASUREMENT";
                                              settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                              settings.Width = 120;
                                              settings.Properties.MinValue = 0;
                                              settings.Properties.DecimalPlaces = 3;
                                              settings.Properties.DisplayFormatString = "###0.000";
                                              settings.Properties.SpinButtons.Visible = false;
                                              settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                              settings.Properties.NumberType = SpinEditNumberType.Float;
                                              settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                              settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                                              //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                          }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).MEASUREMENT).GetHtml()
                                            </td>
                                            <td >
                                                @Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Text = "FOB";
                                            }).GetHtml()
                                            </td>
                                            <td >
                                                :
                                            </td>
                                            <td  align="left">
                                                @Html.DevExpress().SpinEdit(
                                              settings =>
                                              {
                                                  settings.Name = "I_FOB_AMOUNT";
                                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                                  settings.Width = 120;
                                                  settings.Properties.MinValue = 0;
                                                  settings.Properties.DecimalPlaces = 3;
                                                  settings.Properties.DisplayFormatString = "#,##0.000";
                                                  settings.Properties.SpinButtons.Visible = false;
                                                  settings.Properties.SpinButtons.ShowIncrementButtons = false;
                                                  settings.Properties.NumberType = SpinEditNumberType.Float;
                                                  settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                                                  settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                                                  //settings.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                                              }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).FOB_AMOUNT).GetHtml()
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td  align="left" style="height: 30px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Vessel Name ";
                    }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left" colspan="8">
                    @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_VESSEL_NAME";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Width = 320;
                      settings.Properties.MaxLength = 50;
                      settings.ClientEnabled = false;
                  }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).VESSEL_NAME).GetHtml()@Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_FEEDER_VOYAGE";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Width = 320;
                      settings.Properties.MaxLength = 50;
                      settings.ClientEnabled = false;
                      settings.ClientVisible = false;
                  }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).FEEDER_VOYAGE).GetHtml()
                </td>
            </tr>
            <tr>
                <td  align="left" style="height: 30px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*ETD ";
                    }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left" colspan="8">
                    @Html.DevExpress().DateEdit(
                 settings =>
                 {
                     settings.Name = "I_ETD";
                     settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                     settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                     settings.Properties.DisplayFormatInEditMode = true;
                     settings.Properties.EditFormatString = "dd.MM.yyyy";
                     settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                     settings.ReadOnly = true;
                     settings.ClientEnabled = false;
                     settings.Properties.UseMaskBehavior = true;
                     settings.Properties.EditFormat = EditFormat.Custom;
                     settings.Properties.CalendarProperties.EnableYearNavigation = true;
                     settings.Width = 110;
                 }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).ETD).GetHtml()
                </td>
            </tr>
            <tr>
                <td  align="left" style="height: 30px">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Freight Cost ";
                }).GetHtml()
                </td>
                <td >
                    :
                </td>
                <td  align="left">
                    @Html.DevExpress().SpinEdit(
                  settings =>
                  {
                      settings.Name = "I_FREIGHT";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Width = 120;
                      settings.Properties.MinValue = 0;
                      settings.Properties.DecimalPlaces = 3;
                      settings.Properties.DisplayFormatString = "#,##0.000";
                      settings.Properties.SpinButtons.Visible = false;
                      settings.Properties.SpinButtons.ShowIncrementButtons = false;
                      settings.Properties.NumberType = SpinEditNumberType.Float;
                      settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                      settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                  }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).FREIGHT).GetHtml()
                </td>
                <td  align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Insurance Cost";
                    }).GetHtml()
                </td>
                <td  style="width: 10px">
                    :
                </td>
                <td  align="left" colspan="5">
                    @Html.DevExpress().SpinEdit(
                  settings =>
                  {
                      settings.Name = "I_INSURANCE_AMOUNT";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Width = 100;
                      settings.Properties.MinValue = 0;
                      settings.Properties.DecimalPlaces = 3;
                      settings.Properties.DisplayFormatString = "#,##0.000";
                      settings.Properties.SpinButtons.Visible = false;
                      settings.Properties.SpinButtons.ShowIncrementButtons = false;
                      settings.Properties.NumberType = SpinEditNumberType.Float;
                      settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                      settings.ClientEnabled = (bool)ViewData["IS_NEW"];
                  }).Bind(((mInvoice)ViewData["INVOICE_DATA"]).INSURANCE_AMOUNT).GetHtml()
                </td>
            </tr>
            <tr>
                <td  colspan="10">
                    <hr />
                </td>
            </tr>
            <tr>
                <td  align="left" colspan="3">
                    @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdSave";
                    print.Width = 130;
                    print.Text = "Save";
                    print.ClientSideEvents.Click = "OnSave";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = false;
                    print.ClientVisible = (bool)ViewData["IS_NEW"] && Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                    //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                }
                ).GetHtml()
                @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdUpdate";
                    print.Width = 130;
                    print.Text = "Update";
                    print.ClientSideEvents.Click = "OnUpdate";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = false;
                    print.ClientVisible = !(bool)ViewData["IS_NEW"] && Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                    //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-01", "SAVE");
                }
                ).GetHtml()
                    @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdCancel";
                    print.Width = 130;
                    print.Text = "Cancel";
                    print.ClientSideEvents.Click = "OnCancel";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-02", "CANCEL");
                }
                ).GetHtml()
                </td>
                <td  align="right" colspan="9">
                    @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdPreview";
                    print.Width = 130;
                    print.Text = "Detail Preview";
                    print.ClientSideEvents.Click = "OnPreview";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("InvoiceBySea", "FTR-SPEX-44-02", "PREVIEW DETAIL");
                }
                ).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
</div>
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopUpInvoicePreview";
    settings.CallbackRouteValues = new { Controller = "InvoiceBySea", Action = "PopUpInvoicePreview" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopUpInvoicePreview";
    settings.ClientSideEvents.EndCallback = "OnEndCallbackPopUpInvoicePreview";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = false;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 460;
    settings.MinHeight = 460;
    settings.MaxHeight = 460;
    settings.ScrollBars = ScrollBars.Auto;
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(66);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Invoice Detail";
}).GetHtml()
